Bug 224286 - devel/cppunit: update to 1.14.0
Summary: devel/cppunit: update to 1.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-12 17:33 UTC by Greg V
Modified: 2018-01-31 16:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
cppunit.patch (3.09 KB, patch)
2017-12-12 17:33 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-12-12 17:33:33 UTC
Created attachment 188765 [details]
cppunit.patch

The update is required for LibreOffice 6.0.0.beta2.

Do not merge yet. This WILL break every port that relies on the cppunit-config binary, which has been deleted in this version. I'll look into these ports soon.

Also, haven't tested with DOXYGEN, maybe some html doc files should change in the plist.

// Honestly, might be easier to use bundled cppunit in LibreOffice, but that doesn't sound like a good permanent solution.
Comment 1 Bryan Drewery freebsd_committer 2018-01-24 18:29:28 UTC
Thanks! Sorry for taking so long.
Comment 2 commit-hook freebsd_committer 2018-01-24 18:30:01 UTC
A commit references this bug:

Author: bdrewery
Date: Wed Jan 24 18:29:19 UTC 2018
New revision: 459852
URL: https://svnweb.freebsd.org/changeset/ports/459852

Log:
  Update to 1.14.0

  PR:		224286
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/devel/cppunit/Makefile
  head/devel/cppunit/distinfo
  head/devel/cppunit/files/patch-doc_Makefile.in
  head/devel/cppunit/pkg-plist
Comment 3 Greg V 2018-01-24 18:31:21 UTC
(In reply to Bryan Drewery from comment #1)
WAIT WAIT WAIT

Did you read the message here?

> Do not merge yet. This WILL break every port that relies on the cppunit-config binary, which has been deleted in this version.
Comment 4 Bryan Drewery freebsd_committer 2018-01-24 20:47:04 UTC
(In reply to Greg V from comment #3)
> (In reply to Bryan Drewery from comment #1)
> WAIT WAIT WAIT
> 
> Did you read the message here?
> 
> > Do not merge yet. This WILL break every port that relies on the cppunit-config binary, which has been deleted in this version.

Why post an incomplete patch?
Comment 5 Bryan Drewery freebsd_committer 2018-01-24 20:58:08 UTC
(In reply to Greg V from comment #3)
> (In reply to Bryan Drewery from comment #1)
> WAIT WAIT WAIT
> 
> Did you read the message here?
> 
> > Do not merge yet. This WILL break every port that relies on the cppunit-config binary, which has been deleted in this version.

Fixed now, thanks for pointing that out to me.